Skip to main content

GET /smart-sell/pools

Discover tradeable pools for a token — used to pick sPoolId before calling /smart-sell/create-bot.

Pool type is returned so the UI can warn about unsupported types upfront.

Use case

Pool picker before creating a Smart Sell bot.

Query params

FieldTypeRequiredDescription
tokenAddressstringyesToken mint (Solana public key).

Response 200

{
"pools": [
{
"poolId": "...",
"poolType": "AMM",
"dex": "raydium",
"priceNative": "0.00000123",
"priceUsd": "0.000234",
"marketCap": 125000,
"liquidity": 48000,
"url": "https://raydium.io/swap/?inputMint=...",
"solscan": "https://solscan.io/account/..."
}
]
}

Errors

StatusMeaning
400Missing or invalid tokenAddress.
404No pools found for this token.

Example

curl -H "Authorization: Bearer $ACCESS" \
"$BASE_URL/smart-sell/pools?tokenAddress=<mint>"